#### LXZ

#### Synopsis

    HELP:   Read XZ (LZMA) compressed data
    TYPE:   OBJECT
    SYNTAX: LXZ(MEMBER='str',BUFSIZ=num,SKPORG)

#### Description

The LZMA/XZ converter can be used to compress or decompress data streams compatible with the XZ utility on UNIX systems.

The result of a compression is a binary block. The result of a decompression can be text, XML, a base encoding or binary data. Please use delimiters, length fields or fixed length data if records must be exchanged.

There is no header to store meta information about the data, so all metadata is lost.

If no compression level is defined and the data is marked as being without redundancy, then level 0 (copy) is used. In all other cases the default level 6 is used.

Decompression of concatenated XZ files is also possible. All concatenated files are decompressed into one file. It is also possible to decompress one specific member of this concatenation by specifying the member index of the file to be decompressed:

       filename/:memberindex
       filename/#memberindex

       test.xz/#3
       test.xz/:2

XZ data streams are written to ZIP archives as compression mode 14 (LZMA). The XZ header and trailer are replaced by a ZIP local file header. If an LZMA file (compression mode 14) is read from a ZIP archive, it is converted to an XZ data stream which can be decompressed with this component.

#### Arguments

- `STRING: MEMBER='str' - Index of the member in the XT-File to read`
- `NUMBER: BUFSIZ=num - Initial buffer size for preallocation [65536]`
- `SWITCH: SKPORG - Skip decompression if original was copied [FALSE]`